%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/prometheus/client_model
Version:                0.5.0

%gometa

%global common_description %{expand:
Data model artifacts for Prometheus.}

%global golicenses      LICENSE NOTICE
%global godocs          CONTRIBUTING.md MAINTAINERS.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Data model artifacts for Prometheus

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-1
- initial build
